## org.eclipse.datatools.enablement.sybase.deltaddl
Class GenericDeltaDdlGenProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlBuilder
          org.eclipse.datatools.enablement.sybase.deltaddl.AbstractDeltaDdlGenProvider
              org.eclipse.datatools.enablement.sybase.deltaddl.GenericDeltaDdlGenProvider

All Implemented Interfaces:
  IDeltaDdlGenProvider

    public class GenericDeltaDdlGenProvider

extends AbstractDeltaDdlGenProvider
implements IDeltaDdlGenProvider

While no DeltaDdlGenProvider extension found for specified EClass type, DeltaDdlGenServiceImpl will call GenericDeltaDdlGenProvider as default.

Author:
  linsong

Field Summary
`static GenericDeltaDdlGenProvider` `INSTANCE`

Method Summary
`void` `analyze(SQLObject element, java.util.Map changeMap)`

Methods inherited from class org.eclipse.datatools.enablement.sybase.deltaddl.AbstractDeltaDdlGenProvider
`analyze, getParameter, processAlterStatement, processCreateStatement, processDropStatement, setParameter`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlBuilder

`addCheckConstraint, addForeignKey, addUniqueConstraint, alterTableAddColumn, createAssertion, createIndex, createProcedure, createSchema, createTable, createTrigger, createUserDefinedFunction, createUserDefinedType, createView, dropAssertion, dropFunction, dropIndex, dropProcedure, dropSchema, dropTable, dropTableConstraint, dropTrigger, dropUserDefinedType, dropView, getEngineeringCallBack, isImplicitConstraint, setEngineeringCallBack`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.enablement.sybase.deltaddl.IDeltaDdlGenProvider
`analyze, processAlterStatement, processCreateStatement, processDropStatement`

Field Detail

### INSTANCE

    public static final GenericDeltaDdlGenProvider INSTANCE

Method Detail

### analyze

    public void analyze(SQLObject element,
                        java.util.Map changeMap)